Method: advertisers.locationLists.assignedLocations.bulkEdit

  • This method allows you to bulk edit assigned locations for a single location list.

  • The operation involves deleting specified assigned locations and then creating new ones.

  • The request requires path parameters for advertiserId and locationListId.

  • The request body includes lists of assigned location IDs to delete and AssignedLocation objects to create.

  • A successful response contains a list of the assigned locations that were successfully created.

  • This operation requires the https://www.googleapis.com/auth/display-video authorization scope.

Bulk edits multiple assignments between locations and a single location list.

The operation will delete the assigned locations provided in BulkEditAssignedLocationsRequest.deleted_assigned_locations and then create the assigned locations provided in BulkEditAssignedLocationsRequest.created_assigned_locations.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations:bulkEdit

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the DV360 advertiser to which the location list belongs.

locationListId

string (int64 format)

Required. The ID of the location list to which these assignments are assigned.

Request body

The request body contains data with the following structure:

JSON representation
{
  "deletedAssignedLocations": [
    string
  ],
  "createdAssignedLocations": [
    {
      object (AssignedLocation)
    }
  ]
}
Fields
deletedAssignedLocations[]

string (int64 format)

The IDs of the assigned locations to delete in bulk, specified as a list of assigned_location_ids.

createdAssignedLocations[]

object (AssignedLocation)

The assigned locations to create in bulk, specified as a list of AssignedLocations.

Response body

If successful, the response body contains data with the following structure:

Response message for AssignedLocationService.BulkEditAssignedLocations.

JSON representation
{
  "assignedLocations": [
    {
      object (AssignedLocation)
    }
  ]
}
Fields
assignedLocations[]

object (AssignedLocation)

The list of assigned locations that have been successfully created.

This list will be absent if empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.